#! /bin/sh /usr/share/dpatch/dpatch-run
## 09_wtdbosqlite3_needs_threads.dpatch by  <pgquiles@elpauer.org>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: Sqlite3 needs threading support, therefore the sqlite3 backend for 
## DP: Wt::Dbo should only be built if threads are available (and we should 
## DP: link to the threads library, too)

@DPATCH@

diff -rupd libwt-3.1.0a.orig/src/Wt/Dbo/backend/CMakeLists.txt libwt-3.1.0a/src/Wt/Dbo/backend/CMakeLists.txt
--- libwt-3.1.0a.orig/src/Wt/Dbo/backend/CMakeLists.txt	2009-12-31 00:53:14.470225234 +0100
+++ libwt-3.1.0a/src/Wt/Dbo/backend/CMakeLists.txt	2009-12-31 00:55:13.222225179 +0100
@@ -1,25 +1,30 @@
-ADD_LIBRARY(wtdbosqlite3
-  Sqlite3.C
-  amalgamation/sqlite3.c
-)
+FIND_PACKAGE( Threads )
 
-TARGET_LINK_LIBRARIES(wtdbosqlite3 wtdbo)
+IF( Threads_FOUND )
+  ADD_LIBRARY(wtdbosqlite3
+    Sqlite3.C
+    amalgamation/sqlite3.c
+  )
 
-IF(NOT WIN32)
-  TARGET_LINK_LIBRARIES(wtdbosqlite3 dl)
-ENDIF(NOT WIN32)
+  TARGET_LINK_LIBRARIES(wtdbosqlite3 wtdbo ${CMAKE_THREAD_LIBS_INIT} )
 
-INSTALL(TARGETS wtdbosqlite3
-    RUNTIME DESTINATION bin
-    LIBRARY DESTINATION ${LIB_INSTALL_DIR}
-    ARCHIVE DESTINATION ${LIB_INSTALL_DIR})
+  IF(NOT WIN32)
+    TARGET_LINK_LIBRARIES(wtdbosqlite3 dl)
+  ENDIF(NOT WIN32)
 
-SET_TARGET_PROPERTIES(
-  wtdbosqlite3
-PROPERTIES
-  VERSION ${VERSION_SERIES}.${VERSION_MAJOR}.${VERSION_MINOR}
-  SOVERSION ${WTDBO_SOVERSION}
-  DEBUG_POSTFIX "d"
-)
+  INSTALL(TARGETS wtdbosqlite3
+      RUNTIME DESTINATION bin
+      LIBRARY DESTINATION ${LIB_INSTALL_DIR}
+      ARCHIVE DESTINATION ${LIB_INSTALL_DIR})
 
-INSTALL_FILES(/include/Wt/Dbo/backend "^Sqlite3$")
+  SET_TARGET_PROPERTIES(
+    wtdbosqlite3
+  PROPERTIES
+    VERSION ${VERSION_SERIES}.${VERSION_MAJOR}.${VERSION_MINOR}
+    SOVERSION ${WTDBO_SOVERSION}
+    DEBUG_POSTFIX "d"
+  )
+
+  INSTALL_FILES(/include/Wt/Dbo/backend "^Sqlite3$")
+
+ENDIF( Threads_FOUND )
